Package com.google.android.exoplayer2.upstream

## Interface LoaderErrorThrower

- All Known Implementing Classes:
    `Loader`, `LoaderErrorThrower.Dummy`

      public interface LoaderErrorThrower

  Conditionally throws errors affecting a `Loader`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `LoaderErrorThrower.Dummy` | A `LoaderErrorThrower` that never throws.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `maybeThrowError()` | Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the `Loader`s default minimum number of retries.
    `void` | `maybeThrowError​(int minRetryCount)` | Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the specified minimum number of retries.

- - ### Method Detail

    - #### maybeThrowError

          void maybeThrowError()
                        throws IOException

      Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the `Loader`s default minimum number of retries. Else does nothing.
      Throws:
        `IOException` - The error.

    - #### maybeThrowError

          void maybeThrowError​(int minRetryCount)
                        throws IOException

      Throws a fatal error, or a non-fatal error if loading is currently backed off and the current `Loader.Loadable` has incurred a number of errors greater than the specified minimum number of retries. Else does nothing.
      Parameters:
        `minRetryCount` - A minimum retry count that must be exceeded for a non-fatal error to be thrown. Should be non-negative.
      Throws:
        `IOException` - The error.